package crawler

import (
	ocms "git.loafle.net/overflow/commons-go/model/sensorconfig"
)

type Crawler interface {
	Key() string
	String() string
	Auth(auth map[string]interface{}) error
	Get(sensorConfig *ocms.SensorConfig) (map[string]string, error)
}
